ARG BASE=debian:buster

FROM ${BASE}

# Install sshd and sssd
RUN apt update && apt install -y openssh-server sssd gettext && rm -rf /var/lib/apt/lists/*

ENV DEBUG="" \
    LDAP_DOMAIN="" \
    LDAP_URL="" \
    LDAP_BASE="" \
    LDAP_BIND="" \
    LDAP_BIND_PASSWD="" \
    LDAP_ACCESS_FILTER="(objectclass=posixAccount)" \
    LDAP_USER_BASE="" \
    LDAP_GROUP_BASE="" \
    LDAP_EXTRA_CONF="" \
    LDAP_EXTRA_CONF_FILE="" \
    SSSD_CONF_FILE="/etc/sssd/sssd.conf" \
    SSSD_CONF_FILE_TEMPLATE="/etc/sssd/sssd.template.conf" \
    SSHD_ONLY_SFTP="" \
    SSHD_CONF_FILE="/etc/ssh/sshd_config" \
    SSHD_CONF_FILE_TEMPLATE="/etc/ssh/sshd_config.template" \
    SSHD_EXTRA_CONF="" \
    SSHD_EXTRA_CONF_FILE=""

COPY root/ /

RUN rm -f /etc/sssd/sssd.conf /etc/ssh/sshd_config && \
    chmod 777 -R /usr/lib/x86_64-linux-gnu/ldb/modules/ldb

CMD ["/entrypoint.sh"]
